DRAWVALMAP(1)

NAME
drawvalmap - Generate a graphical output of validation status values
             encountered by the validator library.

SYNOPSIS
drawvalmap <logfile>

drawvalmap

DESCRIPTION
drawvalmap is a simple utility that can be used to display the validator status values in a graphical format. The input to this script is a set of log messages that can be read either from file or from a socket. The output is an image file containing an image of the various validator authentication chain status values.

drawvalmap reads data from STDIN if the logfile and the socket option are both unspecified. If the -f option is given, the output image file is embedded in an HTML file with the given name. The HTML file auto-refreshes according to the refresh time supplied by the -r option, allowing changes to the validator graph to be constantly tracked.

The typical usage of this script is in the following way:

    # drawvalmap <logfile>

It would not be uncommon to use this script for troubleshooting purposes, in which case output generated by a driver program would be "piped" to this script in the manner shown below.

    # dt-validate -o6:stdout secure.example.com. | drawvalmap -f val_log_map.html

In each case the script generates the results in a val_log_map.png file. In the second case, an HTML file with the name val_log_map.html is also generated.

OPTIONS

-a IP-address
    This changes the address to which drawvalmap binds itself to the specified value. This option takes effect only if the -s option is also specified.

-f file.ext
    This creates an image of the type determined by the file extension

-g xxxx (deprecated)
    Use -f instead.

-h file.html
    This creates an HTML file with the given name, which contains the image of the validation map.

-i ignore_pattern_string
    This causes drawvalmap to ignore log records that match the given ignore pattern.

-l log_event1,log_event2
    This causes drawvalmap to enable display of events for the given list of log types. The following log event types are defined with their default enabled status indicated in parenthesis: SUCCESS(1), BOGUS(1), DATA_MISSING(1), ERROR(1), and IGNORED(0).

-m match_pattern_string
    This causes drawvalmap to include only log records that match the given pattern. If a given log record matches a pattern given by the -m option and also matches the pattern given by the -i option the effective result is that of ignoring the record.

-p port
    This changes the port to which drawvalmap binds itself to the specified value. This option takes effect only if the -s option is also specified.

-r refresh-period
    This changes the refresh period in the HTML file to the given value. The default is 5 seconds.

-s  This changes the mode of operation to read input from a socket. The default address and port to which drawvalmap binds are 127.0.0.1:1053.

PRE-REQUISITES
GraphViz

COPYRIGHT
Copyright 2005-2013 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Suresh Krishnaswamy, hserus@users.sourceforge.net

SEE ALSO
libval(3)